%global dlrn_nvr ironic-lib-4.3.0-0.20200605221931.df238ba
%global dlrn 1
%define upstream_version 4.3.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%{!?upstream_version: %global upstream_version %{version}}

%global srcname ironic-lib
%global sum A common library to be used by various projects in the Ironic ecosystem

Name:           python-%{srcname}
Version: 4.3.0
Release: 0.20200605221931.df238ba%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{srcname}
Source0: ironic-lib-4.3.0-0.20200605221931.df238ba.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=df238ba1f3b15b5d390101bdb234c21b49df67f5

BuildArch:      noarch

%description
A common library to be used by various projects in the Ironic ecosystem

%package -n     python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
BuildRequires:  openstack-macros
Requires: python3-bcrypt >= 3.1.3
Requires: python3-oslo-concurrency >= 3.26.0
Requires: python3-oslo-config >= 2:5.2.0
Requires: python3-oslo-i18n >= 3.15.3
Requires: python3-oslo-log >= 3.36.0
Requires: python3-oslo-serialization >= 2.18.0
Requires: python3-oslo-service >= 1.24.0
Requires: python3-oslo-utils >= 3.33.0
Requires: python3-pbr
Requires: python3-requests
Requires: python3-zeroconf >= 0.24.0

# These are requirements for unit testing
BuildRequires: python3-bcrypt
BuildRequires: python3-eventlet
BuildRequires: python3-oslo-concurrency
BuildRequires: python3-oslo-config
BuildRequires: python3-oslo-i18n
BuildRequires: python3-oslo-log
BuildRequires: python3-oslo-service
BuildRequires: python3-oslo-utils
BuildRequires: python3-oslotest
BuildRequires: python3-requests
BuildRequires: python3-six
BuildRequires: python3-testtools
BuildRequires: python3-zeroconf

%description -n python3-%{srcname}
A common library to be used by various projects in the Ironic ecosystem

%prep
%autosetup -n %{srcname}-%{upstream_version} -p1
%py_req_cleanup

%build
%{py3_build}

%check
python3 setup.py test

%install
%{py3_install}

# rootwrap related files
install -d -m 755 %{buildroot}%{_sysconfdir}/ironic
install -d -m 755 %{buildroot}%{_sysconfdir}/ironic/rootwrap.d
mv %{buildroot}/usr/etc/ironic/rootwrap.d/ironic-lib.filters %{buildroot}%{_sysconfdir}/ironic/rootwrap.d/

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*
%config(noreplace) %attr(-, root, ironic) %{_sysconfdir}/ironic/rootwrap.d/ironic-lib.filters

%changelog
* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump hacking min version to 3.0.1
- Implement Basic HTTP authentication middleware
- Switch to newer openstackdocstheme version
- Fix DIB jobs
- Update lower-constraints.txt
- Fix pep8 test
- image_convert: retry resource unavailable and make RLIMIT configurable
- Add py38 package metadata
- Dependencies and tox.ini clean-up
- Upgrade flake8-import-order version to 0.17.1
- Use unittest.mock instead of third party mock
- Convert str to bytes for py3 socket compatibility
- Add Python3 victoria unit tests
- Convert jobs to dib
- Cleanup py27 support
- Add netboot to all partition jobs

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [trivial] add description of ignored flake8 checks
- Bump hacking to 3.0.0
- Explicitly set ramdisk type

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve device hints logging
- Add a function to find all devices by hints

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include rootwrap.d/ironic-lib.filters in package
- Remove deprecated [disk_utils]iscsi_verify_attempts
- Enforce running tox with correct python version based on env
- Stop using six library
- mdns: correctly handle loopback addresses
- mdns: default to listing on both V4 and V6 interfaces
- Updating testing doc to py3
- mdns: support IPv6 addresses
- Drop python 2.7 support and testing
- Fix Jobs
- Add equivalent py3 jobs
- Switch to Ussuri job
- Move ironic-lib.filters to etc/ironic/rootwrap.d
- Build pdf doc

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Include rootwrap.d/ironic-lib.filters in package
- Remove deprecated [disk_utils]iscsi_verify_attempts
- Enforce running tox with correct python version based on env
- Stop using six library
- mdns: correctly handle loopback addresses
- mdns: default to listing on both V4 and V6 interfaces
- Updating testing doc to py3
- mdns: support IPv6 addresses
- Drop python 2.7 support and testing
- Fix Jobs
- Add equivalent py3 jobs
- Switch to Ussuri job
- Move ironic-lib.filters to etc/ironic/rootwrap.d
- Build pdf doc
- Include rootwrap.d/ironic-lib.filters in package
- Remove deprecated [disk_utils]iscsi_verify_attempts
- Enforce running tox with correct python version based on env
- Stop using six library
- mdns: correctly handle loopback addresses
- mdns: default to listing on both V4 and V6 interfaces
- Updating testing doc to py3
- mdns: support IPv6 addresses
- Drop python 2.7 support and testing
- Fix Jobs
- Add equivalent py3 jobs
- Switch to Ussuri job
- Move ironic-lib.filters to etc/ironic/rootwrap.d
- Build pdf doc

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include rootwrap.d/ironic-lib.filters in package
- Remove deprecated [disk_utils]iscsi_verify_attempts
- Enforce running tox with correct python version based on env
- Stop using six library
- mdns: correctly handle loopback addresses
- mdns: default to listing on both V4 and V6 interfaces
- Updating testing doc to py3
- mdns: support IPv6 addresses
- Drop python 2.7 support and testing
- Fix Jobs
- Add equivalent py3 jobs
- Switch to Ussuri job
- Move ironic-lib.filters to etc/ironic/rootwrap.d
- Build pdf doc

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

